
#ifndef ROOT_TAttAxis
#define ROOT_TAttAxis

//+SEQ,CopyRight,T=NOINCLUDE.

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// TAttAxis                                                             //
//                                                                      //
// Axis attributes.                                                     //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#ifndef ROOT_Gtypes
//*KEEP,Gtypes.
#include "Gtypes.h"
//*KEND.
#endif

#include <fstream.h>

class TAttAxis {
protected:
        Int_t        fNdivisions;   //Number of divisions(10000*n3 + 100*n2 + n1)
        Color_t      fAxisColor;    //color of the line axis
        Color_t      fLabelColor;   //color of labels
        Style_t      fLabelFont;    //font for labels
        Float_t      fLabelOffset;  //offset of labels
        Float_t      fLabelSize;    //size of labels
        Float_t      fTickLength;   //length of tick marks
        Float_t      fTitleOffset;  //offset of axis title
        Float_t      fTitleSize;    //size of axis title

public:
        TAttAxis();
        virtual          ~TAttAxis();
                void     Copy(TAttAxis &attaxis);
        virtual Int_t    GetNdivisions()  {return fNdivisions;}
        virtual Color_t  GetAxisColor()   {return fAxisColor;}
        virtual Color_t  GetLabelColor()  {return fLabelColor;}
        virtual Style_t  GetLabelFont()   {return fLabelFont;}
        virtual Float_t  GetLabelOffset() {return fLabelOffset;}
        virtual Float_t  GetLabelSize()   {return fLabelSize;}
        virtual Float_t  GetTitleOffset() {return fTitleOffset;}
        virtual Float_t  GetTitleSize()   {return fTitleSize;}
        virtual Float_t  GetTickLength()  {return fTickLength;}
        virtual void     Reset(Option_t *option="");
        virtual void     SaveAttributes(ofstream &out, const char *name, const char *subname);
        virtual void     SetNdivisions(Int_t n=510);           // *MENU*
        virtual void     SetAxisColor(Color_t color=1);        // *MENU*
        virtual void     SetLabelColor(Color_t color=1);       // *MENU*
        virtual void     SetLabelFont(Style_t font=62);        // *MENU*
        virtual void     SetLabelOffset(Float_t offset=0.005); // *MENU*
        virtual void     SetLabelSize(Float_t size=0.04);      // *MENU*
        virtual void     SetTickLength(Float_t length=0.03);   // *MENU*
        virtual void     SetTitleOffset(Float_t offset=1);     // *MENU*
        virtual void     SetTitleSize(Float_t size=.005);      // *MENU*

        ClassDef(TAttAxis,2)  //Axis attributes
};

#endif

